# WOK
TKWOK
WOKBuilder

# WOKBuilder_Compiler Class Reference

Compilers Management
.

`#include <WOKBuilder_Compiler.hxx>`

Inheritance diagram for WOKBuilder_Compiler:

[legend]

## Public Member Functions

Standard_EXPORT | WOKBuilder_Compiler (const Handle(TCollection_HAsciiString)&aname, const WOKUtils_Param &params)
Standard_EXPORT Handle_WOKUtils_HSequenceOfPath | IncludeDirectories () const
Standard_EXPORT void | SetIncludeDirectories (const Handle(WOKUtils_HSequenceOfPath)&incdirs)
Standard_EXPORT Handle_WOKUtils_HSequenceOfPath | DatabaseDirectories () const
Standard_EXPORT void | SetDatabaseDirectories (const Handle(WOKUtils_HSequenceOfPath)&incdirs)
Standard_EXPORT Handle_WOKBuilder_Compilable | Compilable () const
Standard_EXPORT void | SetCompilable (const Handle(WOKBuilder_Compilable)&afile)
Standard_EXPORT WOKBuilder_BuildStatus | Execute ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_TCollection_HAsciiString | myname
Handle_WOKBuilder_Compilable | mysource
Handle_WOKBuilder_ObjectFile | myobject
Handle_WOKBuilder_MFile | mymfile
Handle_WOKUtils_HSequenceOfPath | myincdirs
Handle_WOKUtils_HSequenceOfPath | mydbdirs
Handle_TCollection_HAsciiString | myoptions
Handle_TCollection_HAsciiString | myCmdLine

## Constructor & Destructor Documentation

Standard_EXPORT WOKBuilder_Compiler::WOKBuilder_Compiler | ( | const Handle(TCollection_HAsciiString)& | aname,
|  | const WOKUtils_Param & | params
| ) |

## Member Function Documentation

Standard_EXPORT Handle_WOKBuilder_Compilable WOKBuilder_Compiler::Compilable | ( |  | ) | const

Standard_EXPORT Handle_WOKUtils_HSequenceOfPath WOKBuilder_Compiler::DatabaseDirectories | ( |  | ) | const

Standard_EXPORT WOKBuilder_BuildStatus WOKBuilder_Compiler::Execute | ( |  | ) | `[virtual]`

| Implements WOKBuilder_Tool.

Standard_EXPORT const WOKBuilder_Compiler::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from WOKBuilder_ToolInShell.

Standard_EXPORT Handle_WOKUtils_HSequenceOfPath WOKBuilder_Compiler::IncludeDirectories | ( |  | ) | const

Standard_EXPORT void WOKBuilder_Compiler::SetCompilable | ( | const Handle(WOKBuilder_Compilable)& | afile | ) |

Standard_EXPORT void WOKBuilder_Compiler::SetDatabaseDirectories | ( | const Handle(WOKUtils_HSequenceOfPath)& | incdirs | ) |

Standard_EXPORT void WOKBuilder_Compiler::SetIncludeDirectories | ( | const Handle(WOKUtils_HSequenceOfPath)& | incdirs | ) |

## Field Documentation

Handle_TCollection_HAsciiString WOKBuilder_Compiler::myCmdLine `[private]`

Handle_WOKUtils_HSequenceOfPath WOKBuilder_Compiler::mydbdirs `[private]`

Handle_WOKUtils_HSequenceOfPath WOKBuilder_Compiler::myincdirs `[private]`

Handle_WOKBuilder_MFile WOKBuilder_Compiler::mymfile `[private]`

Handle_TCollection_HAsciiString WOKBuilder_Compiler::myname `[private]`

| Reimplemented from WOKBuilder_Tool.

Handle_WOKBuilder_ObjectFile WOKBuilder_Compiler::myobject `[private]`

Handle_TCollection_HAsciiString WOKBuilder_Compiler::myoptions `[private]`

Handle_WOKBuilder_Compilable WOKBuilder_Compiler::mysource `[private]`

The documentation for this class was generated from the following file:

- WOKBuilder_Compiler.hxx